﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using cxlib;

namespace TestInputValidation
{
    public partial class Form1 : Form
    {
        CxRegexLib cxregex;
        public Form1()
        {
            InitializeComponent();
            cxregex = new CxRegexLib();
        }

        private void textBox1_Leave(object sender, EventArgs e)
        {
            bool flag = cxregex.IsValidEmail(textBox1.Text.Trim());
            if (flag == false)
            {
                toolStripStatusLabelResult.Text = "邮箱格式不正确！";
            }else
            {
                toolStripStatusLabelResult.Text = "邮箱格式正确！";
            }
        }

        private void textBox2_Leave(object sender, EventArgs e)
        {
            bool flag = cxregex.IsValidDecimal(textBox2.Text.Trim());
            if (flag == false)
            {
                toolStripStatusLabelResult.Text = "不是小数！";
            }
            else
            {
                toolStripStatusLabelResult.Text = "这是小数！";
            }
        }

        private void textBox3_Leave(object sender, EventArgs e)
        {
            bool flag = cxregex.Is2Decimal(textBox3.Text.Trim());
            if (flag == false)
            {
                toolStripStatusLabelResult.Text = "不是保留两位小数！";
            }
            else
            {
                toolStripStatusLabelResult.Text = "保留两位小数！";
            }
        }

        private void textBox4_Leave(object sender, EventArgs e)
        {
            bool flag = cxregex.IsNumber(textBox4.Text.Trim());
            if (flag == false)
            {
                toolStripStatusLabelResult.Text = "不是数字！";
            }
            else
            {
                toolStripStatusLabelResult.Text = "这是数字！";
            }
        }

        

        private void textBox5_Leave(object sender, EventArgs e)
        {
            bool flag = cxregex.IsInteger(textBox5.Text.Trim());
            if (flag == false)
            {
                toolStripStatusLabelResult.Text = "不是整数！";
            }
            else
            {
                toolStripStatusLabelResult.Text = "这是整数！";
            }
        }

        private void textBox6_Leave(object sender, EventArgs e)
        {
            bool flag = cxregex.IsCellphoneNum(textBox6.Text.Trim());
            if (flag == false)
            {
                toolStripStatusLabelResult.Text = "不是手机！";
            }
            else
            {
                toolStripStatusLabelResult.Text = "这是手机！";
            }
        }

       

        
    }
}
